Bug 61949 - 2.4.9-31 fails to boot P4
2.4.9-31 fails to boot P4
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-26 00:52 EST by gene c
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 16:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gene c 2002-03-26 00:52:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020310

Description of problem:
 After upgrading from stock RH 7.2 with 2.4.7-10 kernel which was
   works fine it now fails to boot after kernel up2dated to 2.4.9-31.
 
   Compiling and installing 2.4.18 works fine as well as 2.4.7-10.
 
   The last message printed on the console is
 
   ... :  mxt_scan_bios:
 
   After this machine is totally hung.
 
   Machine is P4 1.6 stepping 2 on an intel D850GB mobo with intels latest
   bios (P18).
 
---------------------------------------------------------------------
   # cat /proc/cpuinfo
   processor    : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 1
model name      : Intel(R) Pentium(R) 4 CPU 1.60GHz
stepping        : 2
cpu MHz         : 1595.211
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 3185.04
 ---------------------------------------------------------------------
 # lspci -v
 
00:00.0 Host bridge: Intel Corporation 82850 850 (Tehama) Chipset Host Bridge
(MCH) (rev 02)
        Flags: bus master, fast devsel, latency 0
        Memory at f8000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 2.0
 
00:01.0 PCI bridge: Intel Corporation 82850 850 (Tehama) Chipset AGP Bridge (rev
02) (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 32
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        I/O behind bridge: 0000c000-0000cfff
        Memory behind bridge: ff800000-ff8fffff
        Prefetchable memory behind bridge: e6900000-f69fffff
 
00:1e.0 PCI bridge: Intel Corporation 82801BAM PCI (rev 04) (prog-if 00 [Normal
decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: ff900000-ff9fffff
        Prefetchable memory behind bridge: f6a00000-f6afffff
 
00:1f.0 ISA bridge: Intel Corporation 82801BA ISA Bridge (ICH2) (rev 04)
        Flags: bus master, medium devsel, latency 0
 
00:1f.1 IDE interface: Intel Corporation 82801BA IDE U100 (rev 04) (prog-if 80
[Master])
        Subsystem: Intel Corporation: Unknown device 4732
        Flags: bus master, medium devsel, latency 0
        I/O ports at ffa0 [size=16]
 
00:1f.2 USB Controller: Intel Corporation 82801BA(M) USB (Hub A) (rev 04)
(prog-if 00 [UHCI])
        Subsystem: Intel Corporation: Unknown device 4732
        Flags: bus master, medium devsel, latency 0, IRQ 5
        I/O ports at ef40 [size=32]
00:1f.3 SMBus: Intel Corporation 82801BA(M) SMBus (rev 04)
   Subsystem: Intel Corporation: Unknown device 4732
        Flags: medium devsel, IRQ 10
        I/O ports at efa0 [size=16]
 
00:1f.4 USB Controller: Intel Corporation 82801BA(M) USB (Hub B) (rev 04)
(prog-if 00 [UHCI])
        Subsystem: Intel Corporation: Unknown device 4732
        Flags: bus master, medium devsel, latency 0, IRQ 9
        I/O ports at ef80 [size=32]
 
01:00.0 VGA compatible controller: ATI Technologies Inc: Unknown device 5159
(prog-if 00 [VGA])
        Subsystem: Unknown device 174b:7112
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 32, IRQ 11
        Memory at e8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at c800 [size=256]
        Memory at ff8f0000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at ff8c0000 [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
   02:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10000 (rev 07)
        Subsystem: Creative Labs: Unknown device 8064
        Flags: bus master, medium devsel, latency 32, IRQ 3
        I/O ports at df80 [size=32]
        Capabilities: [dc] Power Management version 1
 
02:0a.1 Input device controller: Creative Labs SB Live! (rev 07)
        Subsystem: Creative Labs Gameport Joystick
        Flags: bus master, medium devsel, latency 32
        I/O ports at dff0 [size=8]
        Capabilities: [dc] Power Management version 1
 
02:0c.0 Ethernet controller: 3Com Corporation 3c905C-TX [Fast Etherlink] (rev 78)
        Subsystem: 3Com Corporation 3C905C-TX Fast Etherlink for PC Management NIC
        Flags: bus master, medium devsel, latency 32, IRQ 10
        I/O ports at dc00 [size=128]
        Memory at ff9ffc00 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at ff9c0000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
 
     Capabilities: [50] Power Management version 2



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Just boot with either 2.4.9-31 or the debug version (UP)
2.
3.
	

Actual Results:  Machines hangs on or about mxt_scan_bios:which may be just
after an apm comment - i tried turning off apm in bios with no difference.

Additional info:

kernel 2.4.18 works fine.
Comment 1 Arjan van de Ven 2002-03-26 03:30:22 EST
I have seen one more such report; for that person it helped to pass the "nomxt"
option on the kernel command line. In grub this is done by adding this to the
"vmlinuz" line in /boot/grub/grub.conf  or directly on the boot prompt by typing
"e" and then editing the second line.
Comment 2 gene c 2002-03-28 19:16:58 EST
Ok I tried this - it seemed (oddly) to have no effect at all - 
hangs at same point.

To confirm I did this correctly heres the grub.conf line:

kernel /boot/vmlinuz-2.4.9-31 ro root=/dev/hda2 nomxt

gene

Comment 3 Arjan van de Ven 2003-06-07 16:17:02 EDT
fixed in current errata kernels

Note You need to log in before you can comment on or make changes to this bug.